Subject: Re: [bug#29425] [PATCH 3/6] services: prosody: Adapt to Prosody 0.10.0.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 24 Nov 2017 22:49:48 +0100

Clément Lassieur <[email-masked]> skribis:

> * doc/guix.texi (Messaging Services): Add "mam" as a module example.  Document
> 'prosodyctl check'.  Replace 'prosodyctl cert request' with 'prosodyctl cert
> import'.  Regenerate it.
> * gnu/services/messaging.scm (serialize-module-list): Remove "posix" from the
> default modules list because it is now automatically loaded.
> (ssl-configuration)[key, certificate]: Remove them because they are now
> automatically located.  Fix their docstrings.
> (%default-modules-enabled): Add "carbons" and "blocklist".
> (prosody-configuration)[certificates]: Set default directory from which
> certificates/keys will be automatically located.

LGTM.

I suppose the Prosody update should be applied before this one, right?

Ludo’.